package org.ow2.bonita.example.carpool.hook;

import java.util.logging.Level;
import java.util.logging.Logger;

import org.ow2.bonita.definition.TxHook;
import org.ow2.bonita.facade.APIAccessor;
import org.ow2.bonita.facade.runtime.ActivityBody;
import org.ow2.bonita.facade.runtime.ActivityInstance;

public class WaitRequest implements TxHook {

  private static final Logger LOG = Logger.getLogger(WaitRequest.class.getName());

  public void execute(APIAccessor apiAccessor, ActivityInstance<ActivityBody> activity) throws Exception {
    if (LOG.isLoggable(Level.INFO)) {
      LOG.info("\n***** Executing Hook: " + this.getClass().getName() + " *****\n");
    }
  }

}
